Subject: RE: SIP Registrar+Redirect behaviour

From: Eric Tremblay <[email-masked]>
Date: Tue, 14 Jul 1998 09:00:31 -0400

> -----Original Message-----
> From: Mark Handley [mailto:[email-masked]]
> Sent: 13 juillet, 1998 17:27
> To: Henning Schulzrinne
> Cc: Jonathan Rosenberg; Eric Tremblay; [email-masked]'
> Subject: Re: SIP Registrar+Redirect behaviour 
> 
> 
> 
> >> > I have a small question concerning the behaviour of a SIP
> >> > registrar&redirect server that receives a REGISTER 
> request with no
> >> > Location header.
> 
> In the interests of simplicity, shouldn't this simply be illegal and
> generate "400 Bad Request"?

As long as the behaviour of a registrar used with a proxy or a redirect
stays the same, I'm happy :)

Henning+Jonathan agrees that the registrar should build a SIP address
from the To and Via headers.  This seemed to me, at first sight, to be a
little bit more complicated than it should.  But thinking again, either
the registrar or the UAC will have to do this.

I'll let you gentlemens agree on this.  I see no problems with a
registrar accepting or refusing such a request, as long as everyone
agrees on the behaviour.

> Mark

Thank you!

EricT

Eric Tremblay       | Mediatrix Telecom
Ingénieur Stagiaire | -----------------
email: [email-masked]
Tel: +1(819)829-8749 ext. 238
Web: www.mediatrix.com